Vamp::Plugin::Feature Struct Reference

`#include <Plugin.h>`

## Public Member Functions

| Feature ()

## Public Attributes

bool | hasTimestamp
| True if an output feature has its own timestamp. More...
RealTime | timestamp
| Timestamp of the output feature. More...
bool | hasDuration
| True if an output feature has a specified duration. More...
RealTime | duration
| Duration of the output feature. More...
std::vector< float > | values
| Results for a single sample of this feature. More...
std::string | label
| Label for the sample of this feature. More...

## Detailed Description

Definition at line 336 of file vamp-sdk/Plugin.h.

## Constructor & Destructor Documentation

Vamp::Plugin::Feature::Feature | ( |  | ) |

inline

Definition at line 381 of file vamp-sdk/Plugin.h.

## Member Data Documentation

bool Vamp::Plugin::Feature::hasTimestamp

True if an output feature has its own timestamp.

This is mandatory if the output has VariableSampleRate, optional if the output has FixedSampleRate, and unused if the output has OneSamplePerStep.

Definition at line 344 of file vamp-sdk/Plugin.h.

Referenced by FixedTempoEstimator::D::assembleFeatures(), SpectralCentroid::process(), ZeroCrossing::process(), PowerSpectrum::process(), AmplitudeFollower::process(), and PercussionOnsetDetector::process().

RealTime Vamp::Plugin::Feature::timestamp

Timestamp of the output feature.

This is mandatory if the output has VariableSampleRate or if the output has FixedSampleRate and hasTimestamp is true, and unused otherwise.

Definition at line 352 of file vamp-sdk/Plugin.h.

Referenced by FixedTempoEstimator::D::assembleFeatures(), ZeroCrossing::process(), and PercussionOnsetDetector::process().

bool Vamp::Plugin::Feature::hasDuration

True if an output feature has a specified duration.

This is optional if the output has VariableSampleRate or FixedSampleRate, and and unused if the output has OneSamplePerStep.

Definition at line 360 of file vamp-sdk/Plugin.h.

Referenced by FixedTempoEstimator::D::assembleFeatures().

RealTime Vamp::Plugin::Feature::duration

Duration of the output feature.

This is mandatory if the output has VariableSampleRate or FixedSampleRate and hasDuration is true, and unused otherwise.

Definition at line 367 of file vamp-sdk/Plugin.h.

Referenced by FixedTempoEstimator::D::assembleFeatures().

std::vector<float> Vamp::Plugin::Feature::values

Results for a single sample of this feature.

If the output hasFixedBinCount, there must be the same number of values as the output's binCount count.

Definition at line 374 of file vamp-sdk/Plugin.h.

Referenced by FixedTempoEstimator::D::assembleFeatures(), SpectralCentroid::process(), ZeroCrossing::process(), PowerSpectrum::process(), AmplitudeFollower::process(), and PercussionOnsetDetector::process().

std::string Vamp::Plugin::Feature::label

Label for the sample of this feature.

Definition at line 379 of file vamp-sdk/Plugin.h.

Referenced by FixedTempoEstimator::D::assembleFeatures().

The documentation for this struct was generated from the following file:

- vamp-sdk/Plugin.h